
Redmine - Patch #2029

New option that makes emails plain text.

2008-10-14 12:37 - Yuki Sonoda

Status: Closed Start date: 2008-10-14

Priority: Normal Due date:  

Assignee: Nicolas Chuche % Done: 50%

Category: Email notifications Estimated time: 0.00 hour

Target version: 0.8   

Description

This patch add a new option to system-wide configuration. If the option is enabled, emails that redmine sends become text/plain.

Some of archaic hackers --for example, the ruby core team-- still hate HTMLs in email. So ruby issue tracking system needs this

feature.

Associated revisions

Revision 1932 - 2008-10-16 01:50 - Nicolas Chuche

add plain text option for mail #2029

History

#1 - 2008-10-14 15:47 - Ollivier Robert

+1, it is nice to have an option for that.

#2 - 2008-10-16 07:46 - James Turnbull

This is a great feature - it's something we've been after for a while - be nice if this was a per user feature - some of our users would prefer HTML and

some plain text.

#3 - 2008-10-16 13:18 - Nicolas Chuche

- Status changed from New to 7

- Assignee set to Nicolas Chuche

- % Done changed from 0 to 50

Yuki Sonoda wrote:

This patch add a new option to system-wide configuration. If the option is enabled, emails that redmine sends become text/plain.

 I've commited the patch with slight modifications in r1932.

For the moment I've no time to add a per user option.

#4 - 2008-10-16 21:13 - Jean-Philippe Lang

- Status changed from 7 to Closed

James, per user setting is not that simple since a single email is sent for all the notified users.

I close this ticket since the patch is committed but feel free to submit a feature request :-)
